@echo off
rem ##############################################################
rem # Copyright LogiQwest 2013                                   #
rem # Name: sshXFERput.bat                                       #
rem # OS: Windows                                                #
rem # Purpose: This is the q-status data transfer script for MS  #
rem            Windows using ssh and ssh pairs.                  #
rem # -----------------------------------------------------------#
rem # Change history:                                            #
rem # Version 1.00:04 Jan 2004 Created                           #
rem # Version 2.00:09 Jan 2009 Revised format.                   #
rem # Version 3.00:21 Aug 2009 Added call params.bat             #
rem # Version 4.00:21 Aug 2009 Added call params.bat             #
rem # Version 5.0X:15 Mar 2013 Revised for Rev 5.3 Base          #
rem ##############################################################

rem # Modify these entries for SCP transfer ######################
set SSHUSER=<qstatus>
set SSHHOST=<q-statusWindows server>
set SERVERDIR=</var/www/html/q-statusWindows/data>
rem ##############################################################
set SCP=PSCP.EXE
set KEYFILE=%computername%.prv.ppk

call params.bat

if exist %data_dir%\%computername%.cpuz %SCP% -i %KEYFILE% %data_dir%\%computername%.cpuz %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.disk %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.ipconfig %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.route %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.set %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.software %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.sysinfo %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.tasklist %SSHUSER%@%SSHHOST%:%SERVERDIR%
%SCP% -i %KEYFILE% %data_dir%\%computername%.tasks %SSHUSER%@%SSHHOST%:%SERVERDIR%


